#!/bin/sh
#
# A sample script for event-osd that displays the current path on the top of the screen.

mode=$1     # either thumb or list
newpath=$2  # the directory, "escaped" with double quotes, so when passing this on to another command put it in double quotes as well

if [ $mode = "thumb" ] ; then
    case $3 in
	audio)
	filename=basic_browse_thumb.xml
	;;
	photo)
	filename=basic_browse_thumb.xml
	;;
	video)
	filename=basic_browse_thumb_video.xml
	;;
     esac
else
    filename=basic_browse.xml
fi
        

directory=$3_`basename "$newpath"`           # note the "" around $newpath
sed -e 's/.*<\/page>/<text text="PLACE" fontsize="20" textcolor="0xffffff" x="0" y="0" w="1280" h="100" \/><\/page>/' \
    -e s/PLACE/"$directory"/ \
    -i /apps/event-osd/osd-backup/$filename
echo "sleep 2 && sed -e 's/.*<\\/page>/<\\/page>/' -i /apps/event-osd/osd-backup/$filename" | sh &


